.app-radio {
  display: inline-block;
  line-height: 1;
  min-width: 18rem;
  padding: 1rem 0;
  padding-left: 4rem;
  position: relative;
  cursor: pointer;
  user-select: none;

  &__caption {
    transition: opacity 0.15s linear;

    &.wrong {
      opacity: 0.5;
    }
  }

  &__input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;
  }

  &__mark {
    position: absolute;
    top: .4rem;
    left: 0;
    border-radius: 50%;
    border: 2px solid map-get($colors, 'text');
    @include square(2.7rem);

    &:after {
      content: "";
      position: absolute;
      display: block;
      top: .5rem;
      left: .5rem;
      border-radius: 50%;
      transition: background-color .15s linear;
      @include square(1.3rem);
    }
  }

  &:hover &__mark:after {
    background-color: map-get($colors, 'primaryLighter');
    display: block;
  }

  &:hover &__input:checked ~ &__mark:after {
    background-color: map-get($colors, 'text');
  }

  &__input:checked ~ &__mark:after {
    background-color: map-get($colors, 'text');
  }

  @include media-breakpoint-up(xxl) {
    min-width: 32rem;
    padding: 1rem 0;
    padding-left: 4.6rem;

    &__mark {
      top: 1.2rem;
    }
  }
}
